cryptonite-0.10: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Crypto.Hash.Algorithms

Contents

- hash algorithms

Description

Definitions of known hash algorithms

Synopsis

- class HashAlgorithm a
- data Blake2s_256 = Blake2s_256
- data Blake2sp_256 = Blake2sp_256
- data Blake2b_512 = Blake2b_512
- data Blake2bp_512 = Blake2bp_512
- data MD2 = MD2
- data MD4 = MD4
- data MD5 = MD5
- data SHA1 = SHA1
- data SHA224 = SHA224
- data SHA256 = SHA256
- data SHA384 = SHA384
- data SHA512 = SHA512
- data SHA512t_224 = SHA512t_224
- data SHA512t_256 = SHA512t_256
- data RIPEMD160 = RIPEMD160
- data Tiger = Tiger
- data Keccak_224 = Keccak_224
- data Keccak_256 = Keccak_256
- data Keccak_384 = Keccak_384
- data Keccak_512 = Keccak_512
- data SHA3_224 = SHA3_224
- data SHA3_256 = SHA3_256
- data SHA3_384 = SHA3_384
- data SHA3_512 = SHA3_512
- data Skein256_224 = Skein256_224
- data Skein256_256 = Skein256_256
- data Skein512_224 = Skein512_224
- data Skein512_256 = Skein512_256
- data Skein512_384 = Skein512_384
- data Skein512_512 = Skein512_512
- data Whirlpool = Whirlpool

# Documentation

class HashAlgorithm a Source

Class representing hashing algorithms.

The interface presented here is update in place and lowlevel. the Hash module takes care of hidding the mutable interface properly.

Minimal complete definition

hashBlockSize, hashDigestSize, hashInternalContextSize, hashInternalInit, hashInternalUpdate, hashInternalFinalize

Instances

HashAlgorithm Blake2s_256 Source |
HashAlgorithm Blake2sp_256 Source |
HashAlgorithm Blake2b_512 Source |
HashAlgorithm Blake2bp_512 Source |
HashAlgorithm MD2 Source |
HashAlgorithm MD4 Source |
HashAlgorithm MD5 Source |
HashAlgorithm SHA1 Source |
HashAlgorithm SHA224 Source |
HashAlgorithm SHA256 Source |
HashAlgorithm SHA384 Source |
HashAlgorithm SHA512 Source |
HashAlgorithm SHA512t_256 Source |
HashAlgorithm SHA512t_224 Source |
HashAlgorithm SHA3_512 Source |
HashAlgorithm SHA3_384 Source |
HashAlgorithm SHA3_256 Source |
HashAlgorithm SHA3_224 Source |
HashAlgorithm Keccak_512 Source |
HashAlgorithm Keccak_384 Source |
HashAlgorithm Keccak_256 Source |
HashAlgorithm Keccak_224 Source |
HashAlgorithm RIPEMD160 Source |
HashAlgorithm Tiger Source |
HashAlgorithm Skein256_256 Source |
HashAlgorithm Skein256_224 Source |
HashAlgorithm Skein512_512 Source |
HashAlgorithm Skein512_384 Source |
HashAlgorithm Skein512_256 Source |
HashAlgorithm Skein512_224 Source |
HashAlgorithm Whirlpool Source |

# hash algorithms

data Blake2s_256 Source

Blake2s (256 bits) cryptographic hash algorithm

Constructors

Blake2s_256 |

Instances

Show Blake2s_256 Source |
HashAlgorithm Blake2s_256 Source |

data Blake2sp_256 Source

Blake2sp (256 bits) cryptographic hash algorithm

Constructors

Blake2sp_256 |

Instances

Show Blake2sp_256 Source |
HashAlgorithm Blake2sp_256 Source |

data Blake2b_512 Source

Blake2b (512 bits) cryptographic hash algorithm

Constructors

Blake2b_512 |

Instances

Show Blake2b_512 Source |
HashAlgorithm Blake2b_512 Source |

data Blake2bp_512 Source

Blake2bp (512 bits) cryptographic hash algorithm

Constructors

Blake2bp_512 |

Instances

Show Blake2bp_512 Source |
HashAlgorithm Blake2bp_512 Source |

data MD2 Source

MD2 cryptographic hash algorithm

Constructors

MD2 |

Instances

Show MD2 Source |
HashAlgorithm MD2 Source |
HashAlgorithmASN1 MD2 Source |

data MD4 Source

MD4 cryptographic hash algorithm

Constructors

MD4 |

Instances

Show MD4 Source |
HashAlgorithm MD4 Source |

data MD5 Source

MD5 cryptographic hash algorithm

Constructors

MD5 |

Instances

Show MD5 Source |
HashAlgorithm MD5 Source |
HashAlgorithmASN1 MD5 Source |

data SHA1 Source

SHA1 cryptographic hash algorithm

Constructors

SHA1 |

Instances

Show SHA1 Source |
HashAlgorithm SHA1 Source |
HashAlgorithmASN1 SHA1 Source |

data SHA224 Source

SHA224 cryptographic hash algorithm

Constructors

SHA224 |

Instances

Show SHA224 Source |
HashAlgorithm SHA224 Source |
HashAlgorithmASN1 SHA224 Source |

data SHA256 Source

SHA256 cryptographic hash algorithm

Constructors

SHA256 |

Instances

Show SHA256 Source |
HashAlgorithm SHA256 Source |
HashAlgorithmASN1 SHA256 Source |

data SHA384 Source

SHA384 cryptographic hash algorithm

Constructors

SHA384 |

Instances

Show SHA384 Source |
HashAlgorithm SHA384 Source |
HashAlgorithmASN1 SHA384 Source |

data SHA512 Source

SHA512 cryptographic hash algorithm

Constructors

SHA512 |

Instances

Show SHA512 Source |
HashAlgorithm SHA512 Source |
HashAlgorithmASN1 SHA512 Source |

data SHA512t_224 Source

SHA512t (224 bits) cryptographic hash algorithm

Constructors

SHA512t_224 |

Instances

Show SHA512t_224 Source |
HashAlgorithm SHA512t_224 Source |
HashAlgorithmASN1 SHA512t_224 Source |

data SHA512t_256 Source

SHA512t (256 bits) cryptographic hash algorithm

Constructors

SHA512t_256 |

Instances

Show SHA512t_256 Source |
HashAlgorithm SHA512t_256 Source |
HashAlgorithmASN1 SHA512t_256 Source |

data RIPEMD160 Source

RIPEMD160 cryptographic hash algorithm

Constructors

RIPEMD160 |

Instances

Show RIPEMD160 Source |
HashAlgorithm RIPEMD160 Source |
HashAlgorithmASN1 RIPEMD160 Source |

data Tiger Source

Tiger cryptographic hash algorithm

Constructors

Tiger |

Instances

Show Tiger Source |
HashAlgorithm Tiger Source |

data Keccak_224 Source

Keccak (224 bits) cryptographic hash algorithm

Constructors

Keccak_224 |

Instances

Show Keccak_224 Source |
HashAlgorithm Keccak_224 Source |

data Keccak_256 Source

Keccak (256 bits) cryptographic hash algorithm

Constructors

Keccak_256 |

Instances

Show Keccak_256 Source |
HashAlgorithm Keccak_256 Source |

data Keccak_384 Source

Keccak (384 bits) cryptographic hash algorithm

Constructors

Keccak_384 |

Instances

Show Keccak_384 Source |
HashAlgorithm Keccak_384 Source |

data Keccak_512 Source

Keccak (512 bits) cryptographic hash algorithm

Constructors

Keccak_512 |

Instances

Show Keccak_512 Source |
HashAlgorithm Keccak_512 Source |

data SHA3_224 Source

SHA3 (224 bits) cryptographic hash algorithm

Constructors

SHA3_224 |

Instances

Show SHA3_224 Source |
HashAlgorithm SHA3_224 Source |

data SHA3_256 Source

SHA3 (256 bits) cryptographic hash algorithm

Constructors

SHA3_256 |

Instances

Show SHA3_256 Source |
HashAlgorithm SHA3_256 Source |

data SHA3_384 Source

SHA3 (384 bits) cryptographic hash algorithm

Constructors

SHA3_384 |

Instances

Show SHA3_384 Source |
HashAlgorithm SHA3_384 Source |

data SHA3_512 Source

SHA3 (512 bits) cryptographic hash algorithm

Constructors

SHA3_512 |

Instances

Show SHA3_512 Source |
HashAlgorithm SHA3_512 Source |

data Skein256_224 Source

Skein256 (224 bits) cryptographic hash algorithm

Constructors

Skein256_224 |

Instances

Show Skein256_224 Source |
HashAlgorithm Skein256_224 Source |

data Skein256_256 Source

Skein256 (256 bits) cryptographic hash algorithm

Constructors

Skein256_256 |

Instances

Show Skein256_256 Source |
HashAlgorithm Skein256_256 Source |

data Skein512_224 Source

Skein512 (224 bits) cryptographic hash algorithm

Constructors

Skein512_224 |

Instances

Show Skein512_224 Source |
HashAlgorithm Skein512_224 Source |

data Skein512_256 Source

Skein512 (256 bits) cryptographic hash algorithm

Constructors

Skein512_256 |

Instances

Show Skein512_256 Source |
HashAlgorithm Skein512_256 Source |

data Skein512_384 Source

Skein512 (384 bits) cryptographic hash algorithm

Constructors

Skein512_384 |

Instances

Show Skein512_384 Source |
HashAlgorithm Skein512_384 Source |

data Skein512_512 Source

Skein512 (512 bits) cryptographic hash algorithm

Constructors

Skein512_512 |

Instances

Show Skein512_512 Source |
HashAlgorithm Skein512_512 Source |

data Whirlpool Source

Whirlpool cryptographic hash algorithm

Constructors

Whirlpool |

Instances

Show Whirlpool Source |
HashAlgorithm Whirlpool Source |